import dynamix_sdk.base as _base


class CloudapiComputeChangeSecurityGroupsResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeChangeSecurityGroupsProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def change_security_groups(
        self,
        *,
        vm_id: int,
        interface: str,
        security_group_ids: list[int] | None = None,
        security_group_mode: bool | None = None,
    ) -> CloudapiComputeChangeSecurityGroupsResultBool:
        ...
